body.signin  {
    display: flex;
    justify-content: center;
    align-items: center;
}

.panel-signin {
    margin: 0;
    box-shadow: none;
    -webkit-box-shadow: none;
}

.panel-signin img {
    max-width: 100%;
}

.panel-signin .pull-right {
    float: none !important;;
}

.panel-signin button[type="submit"] {
    display: block;
    width: 100%;
}

.panel-footer {
    background: #fff;
    border-color: #ddd;
    text-align: center;
}

.panel-footer a {
    display: block;
}


@media (min-width: 640px) {
    .panel-signin {
        -webkit-box-shadow: 1px 1px 10px rgba(0,0,0,.15);
        box-shadow: 1px 1px 10px rgba(0,0,0,.15);
    }

    .panel-footer {
        background: #f7f7f7;
        border-color: #ddd;
        text-align: left;
    }
    .panel-footer a {
        display: inline-block
    }

    .panel-signin .pull-right {
        float: right !important;
    }

}

@media (max-height: 480px) {
    .panel-signin {
        box-shadow: none;
    }
    .panel-signin .logo img {
        zoom: 0.7;
    }
    .panel-signin .text {
        display: none;
    }
    .panel-signin .panel-footer {
        background: none;
    }
}

@media (min-height: 768px) {
    .panel-signin {
        position: absolute;
        top: 80px;
    }
}
